#include "hmg.ch"

Procedure MAIN // for test, usually Report_1

   SET BROWSESYNC ON
   SET NAVIGATION EXTENDED

   SET DATE GERMAN // for test
   SET CENTURY ON  // for test

   DEFINE WINDOW Rep_1 ;
      AT 0, 0 ;
      WIDTH 400 ;
      HEIGHT 400 ;
      TITLE "EDITOR1" ;
      MAIN 

      ON KEY ESCAPE ACTION Rep_1.Release 

   @ 150, 150 BUTTON PRINT_4324 ;
      CAPTION " Create report " ;
      ACTION rep_create_4324() ;
      WIDTH 100

   END WINDOW

   Rep_1.CENTER
   ACTIVATE WINDOW Rep_1

RETURN
*----------------------------------------*
PROCEDURE rep_create_4324

PRIVATE mPrinter, nCurLine:=300, nCurPage:=0, nPageSize:=280, nVMargin:=10, nHMargin:=10 
PRIVATE cFontName:="Verdana", nFontSize:=8, nFontHeight:=4, nCharWidth:=2 

USE EDITOR1

   mPrinter := GetPrinter()
   IF Empty ( mPrinter )
      MsgExclamation( "Printer not selected" )
      dbcloseall()
      RETURN NIL
   ENDIF

   SELECT PRINTER mPrinter ;
      ORIENTATION PRINTER_ORIENT_PORTRAIT ;  // PRINTER_ORIENT_LANDSCAPE ; 
      PAPERSIZE PRINTER_PAPER_A4 ;
      PREVIEW 

   START PRINTDOC NAME "report" 

DBGOTOP()
DO WHILE .NOT. EOF()

   IF nCurLine > nPageSize
      hdr_4324()
   ENDIF

   nCurLine += nFontHeight
   nCurCol = nHMargin + 1 * nCharWidth
   @ nCurLine, nCurCol PRINT SLINE      FONT cFontName SIZE nFontSize

   DBSKIP()
ENDDO
nCurLine += nFontHeight

   END PRINTPAGE
END PRINTDOC

DBCLOSEALL()

Rep_1.RELEASE

RETURN 0
*----------------------------------------*
FUNCTION hdr_4324

nCurPage++
nCurLine := nVMargin

IF nCurPage > 1
   END PRINTPAGE
ENDIF

   START PRINTPAGE

@ nCurLine, 10 PRINT "Date : " + DTOC(date()) FONT cFontName SIZE nFontSize // BOLD
@ nCurLine, 180 PRINT "Page : " + STR(nCurPage, 3) FONT cFontName SIZE nFontSize // BOLD
@ nCurLine, 100 PRINT "Editor1" FONT cFontName SIZE nFontSize+2 CENTER BOLD
nCurLine += nFontHeight

nCurLine += nFontHeight
nCurCol = nHMargin + 1 * nCharWidth
@ nCurLine, nCurCol PRINT "SLINE" FONT cFontName SIZE nFontSize BOLD

nCurLine += nFontHeight
nCurCol = nHMargin + 1 * nCharWidth
nCurCol2 = nCurCol + 60 * nCharWidth
@ nCurLine+2, nCurCol PRINT LINE TO nCurLine+2, nCurCol2 PENWIDTH .5

RETURN 0
